Waba account list

Return the page list of WhatsApp Business accounts already registered by user

Request

GET https://wa.antgst.com/v1/whatsapp/businessAccounts

Header Parameters

Authorization

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Query Params

Field

Type

Required(*)

Description

accountReviewStatus

String

false

Whatsapp Business Account Review Status.

  • PENDING

  • APPROVED

  • REJECTED

pageNo

int

false

Page number of the results to be returned. 1 to 100 Defaults to 1

pageSize

int

false

Maximum number of pages per page. 1 to 100 Defaults to 10

Request Example:

curl --location --request GET 'https://wa.antgst.com/v1/whatsapp/businessAccounts?pageNo=1&pageSize=10' \
--header 'Authorization: Bearer ...'

Response Example:

{
    "data": [
        {
            "wabaId": "String",
            "name": "String",
            "status": "ACTIVE",
            "businessVerificationStatus": "verified",
            "accountReviewStatus": "APPROVED",
            "whatsappBusinessManagerMessagingLimit": "TIER_2K",
            "businessPhoneNumbers": [
                {
                    "wabaId": "String",
                    "phoneNumberId": "String",
                    "displayPhoneNumber": "String",
                    "verifiedName": "String",
                    "status": "CONNECTED",
                    "qualityRating": "UNKNOWN",
                    "codeVerificationStatus": "VERIFIED",
                    "throughput": "STANDARD",
                    "messagingLimitTier": "TIER_2K",
                    "createTime": "2025-12-01T11:04:56.000+08:00",
                    "updateTime": "2025-12-01T16:00:01.000+08:00"
                }
            ],
            "createTime": "2025-12-01T15:22:49.000+08:00",
            "updateTime": "2025-12-01T15:22:49.000+08:00"
        }
    ],
    "total": 1,
    "size": 10,
    "current": 1,
    "pages": 1
}

Response parameter description:

Field

Description

wabaId

Whatsapp Business Account.

name

Whatsapp Business Account name.

status

Whatsapp Business Account .statusDefault:APPROVED

businessVerificationStatus

Current status of business verification of Meta Business Account which owns this WhatsApp Business Account. expired failed ineligible not_verified pending pending_need_more_info pending_submission rejected revoked verified

accountReviewStatus

Whatsapp Business Account review status. PENDING APPROVED REJECTED

whatsappBusinessManagerMessagingLimit

The owning business portfolio's messaging limit. Starting October 7, 2025, messaging limits will instead be calculated and set on a business portfolio basis, and will be shared by all business phone numbers within each portfolio. See also phone_number_quality_update webhook referencearrow-up-right.

+ TIER_NOT_SET : The business phone number has not been used to send a message yet.

+ TIER_50: Messaging limit of 50 business-initiated conversations in a rolling 24-hour period.

+ TIER_250: Messaging limit of 250 business-initiated conversations in a rolling 24-hour period.

+ TIER_2K: Messaging limit of 2,000 business-initiated conversations in a rolling 24-hour period.

+ TIER_10K: Messaging limit of 10,000 business-initiated conversations in a rolling 24-hour period.

+ TIER_100K: Messaging limit of 100,000 business-initiated conversations in a rolling 24-hour period.

+ TIER_UNLIMITED: The business phone number has higher throughput with unlimited business-initiated conversations.

businessPhoneNumbers

List of registered Business numbers for Whatsapp Business Account.

businessPhoneNumbers.phoneNumberId

Business Phone Number ID.

businessPhoneNumbers.displayPhoneNumber

Business Phone display phone number.

businessPhoneNumbers.verifiedName

Business Phone verified name.

businessPhoneNumbers.status

The status of a WhatsApp business phone number.

+ PENDING: Pending. Phone number is newly added. Verify and register this phone number so it can be connected to your account.

+ UNVERIFIED: Unverified. Verify this phone number to start sending messages.

+ MANUAL_REVIEW: Being reviewed. Phone number is currently being reviewed for connection to your account.

+ DISCONNECTED: Offline. Phone number is currently not reachable by WhatsApp servers. + CONNECTED: Connected. Phone number is associated with this account and working properly.

+ FLAGGED: Flagged. This phone number has been flagged due to low quality messages.

+ WARNED: Warned. A warning has been issued for this number, potentially due to spam reports.

+ RATE_LIMITED: Rate limited. The number of messages you can send from this phone number may be restricted.

+ BANNED: Banned. Phone number cannot be used with a WhatsApp account.

+ RESTRICTED: Restricted. This phone number has reached its 24-hour messaging limit and can no longer send messages to customers. Please wait until the messaging limit is reset to send messages.

+ BLOCKED: Message limit reached. The limit has been reached for this 24-hour period.

+ MIGRATED: Transferred. This phone number has been transferred to another WhatsApp Business account.

+ UNKNOWN: Unavailable. The status of this phone number can't be determined right now.

businessPhoneNumbers.qualityRating

Quality rating. One of GREEN, YELLOW, RED,UNKNOWN See also Phone Number Quality Ratingarrow-up-right.

+ GREEN: High quality.

+ YELLOW: Medium quality.

+ RED: Low quality.

+ UNKNOWN: Unknown quality.

businessPhoneNumbers.codeVerificationStatus

To see if a phone number has been verified via OTP (one-time password). VERIFIED NOT_VERIFIED

businessPhoneNumbers.throughput

The total number of messages sent and received per second. See also throughputarrow-up-right.

businessPhoneNumbers.messagingLimitTier

Messaging limits determine the maximum number of business-initiated conversations each phone number can start in a rolling 24-hour period. See also Messaging Limitsarrow-up-right.

+ TIER_NOT_SET: Unknown limit.

+ TIER_50: 50 business-initiated conversations in a rolling 24-hour period.

+ TIER_250: 250 business-initiated conversations in a rolling 24-hour period.

+ TIER_1K: 1K business-initiated conversations with unique customers in a rolling 24-hour period.

+ TIER_10K: 10K business-initiated conversations with unique customers in a rolling 24-hour period.

+ TIER_100K: 100K business-initiated conversations with unique customers in a rolling 24-hour period.

+ TIER_UNLIMITED: An unlimited number of business-initiated conversations in a rolling 24-hour period.

businessPhoneNumbers.createTime

Business number registration time. Follows the ISO 8601 international standard for representing date and time.

businessPhoneNumbers.updateTime

Business number update time. Follows the ISO 8601 international standard for representing date and time.

total

The total number of data.

size

The number of pages per page.

current

Current page number.

pages

Total number of pages.

Last updated